{% extends 'base.html.twig' %}

{% block title %}{{ 'room.index.title' | trans }}{% endblock %}

{% block body %}
    <div class="container d-flex flex-column">
        <div class="col-md-4 m-auto mt-5">
            {% if userSuspended %}
                <div class="alert alert-warning" role="alert">
                    {{ 'room.index.userSuspended' | trans }}
                </div>
            {% endif %}
            <div class="mt-5 bg-white p-3 rounded">
                <h1>{{ 'room.index.regular_meeting.title' | trans }}</h1>
                {{ form(roomNameForm, {'attr': {'data-turbo': 'false'}}) }}
            </div>


            <div class="mt-5 bg-white p-3 rounded">
                <h1>{{ 'room.index.moderated.title' | trans }}</h1>

                <p>{{ 'room.index.moderated.desc' | trans }}</p>

                <a class="btn btn-lg btn-primary w-100 {% if userSuspended %}disabled{% endif%}" {% if userSuspended %}disabled{% endif%} href="{{ path('new_authenticated_room') }}">{{ 'room.index.moderated.create_btn' | trans }}</a>
            </div>
        </div>
    </div>
{% endblock %}

{% block footer %}
    <footer class="mt-2 py-2 text-center">
        <span>
            © 2024 Framasoft
        </span>
        -
        <a href="https://framagit.org/framasoft/framatalk/anicetus/-/blob/main/LICENSE" target="_blank" rel="noopener">AGPLv3</a>
        (<a href="https://framagit.org/framasoft/framatalk/anicetus" target="_blank" rel="noopener">{{ 'base.footer.sources' | trans }}</a>)
    </footer>
{% endblock %}
